> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tag a rule

> Add a shared tag to a rule; one it has already is a no-op. Returns
the rule's tags.



## OpenAPI

````yaml post /api/dq/rules/{dq_id}/tags
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/dq/rules/{dq_id}/tags:
    post:
      tags:
        - Data quality
      summary: Tag a rule
      description: |-
        Add a shared tag to a rule; one it has already is a no-op. Returns
        the rule's tags.
      operationId: add_rule_tag_api_dq_rules__dq_id__tags_post
      parameters:
        - name: dq_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The rule's id.
            title: Dq Id
          description: The rule's id.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DqTagRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                title: Response Add Rule Tag Api Dq Rules  Dq Id  Tags Post
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DqTagRequest:
      properties:
        tag:
          type: string
          maxLength: 200
          title: Tag
          description: >-
            Up to 64 characters once spaces are collapsed: letters, digits,
            spaces and - _ . : # & +, starting with a letter or digit.
      type: object
      required:
        - tag
      title: DqTagRequest
      description: Tag a rule.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.